===========================
   GP500
   MicroProse
   Hasbro Interactive
   Troubleshooting Guide
   1 September 1999
===========================


Using the GP500.INI File
========================
The root GP500 directory contains the GP500.INI file, 
which can be used to customise the game and force 
certain features on or off.

The file currently contains the following sections:
* [Patch_3D] = 3-D hardware patches
* [GameRules] = game rules settings
* [Network] = network settings
* [GameSettings] = game Settings

Features are force-enabled by setting them to TRUE. 
For example, TEXTURE_COMPRESSION = TRUE will force 
texture compression on.

Similarly, features are force-disabled by setting 
them FALSE. For example, TEXTURE COMPRESSION = FALSE
will force texture compression off.

Below is a list of all INI file settings followed by 
troubleshooting advice for specific problems and 3-D
hardware.


INI File Settings
==================
The following features can be currently enabled/disabled 
via the GP500.INI file.

[Patch_3D]
ADD
	Additive texture blending mode

ADD_ALPHA
	Additive plus texture alpha blend mode

ALPHA_BLENDING
	Texture alpha blending capability

CONSTANT_ALPHA
	Constant Alpha Blend Mode support

DIRECTX5_BLEND
	Use DirectX 5 style texture blending

DISABLE_VENDOR_FIXES
	Disables any vendor/chipset specific fixes applied 
        for poor 3-D device behaviour. Could use this to 
        try enabling features if a vendor fixes a specific 
        bug and the feature can be enabled.

ENABLE_3DFX_W_BUFFER_OVERRIDE
	Enable 3dfx W Buffer Override

ENABLE_W_BUFFER
	Enable W Buffering support

FORCE_LINEAR_MIPMAPPING
	Force the mip mapping method to LINEAR (tri-linear) 
        for Direct3D

FORCE_MIPMAPS_OFF
	Force mip mapping off

FORCE_POINT_MIPMAPPING
	Force the mip mapping method to POINT (point sampled) 
        for Direct3D

INV_MULTIPLY
	Inverse Multiply texture blend mode support

MULTIPLY
	Multiply texture blend mode support

Permedia2
	Patches for the Permedia2

RENDER_FULL_SKYDOME
	Set this to False to improve performance on fill-rate 
        limited cards. You could also set the sky off 
        completely in the UI, but this option still gives 
        you a banded sky which 'attempts' to match the sky 
        texture with the background sky colour.

REVERSE_ADDALPHA_BLEND_METHOD
	Change the order of validating an add-alpha blend mode 
        in Direct3D

REVERSE_MULTIPLY_BLEND_METHOD
	Change the order of validating a multiply blend mode 
        in Direct3D

SAVAGE4
	Enable fixes for the S3 Savage4 3d chipset/drivers

TEXTURE_ALPHA
	Texture Alpha Blend Mode support

TEXTURE_COMPRESSION
	Texture Compression support

TEXTURE_COMPRESS_SQUARE_ONLY
	Compress square textures only

TEXTURE_SQUARE_ONLY
	Force all textures to be scaled to square powers of two

USE_LARGE_DEPTH_BUFFER
	Use 24-bit depth buffer to improve Z precision

ZBUFFERWRITE
	Z-Buffer write support


-----------------------------------------------------------------------

[GameRules]
only_onbikeview
	Only allow the game to be played in onbike view 
        (usually for multiplayer games)

disable_quickpits
	Disable the 'teleport to pits' ability - only allow 
        pits while in pit straight

only_manualgears
	Only allow manual gear changing

only_simulation
	Only allow playing in Simulation mode

ignore_black_flags
	Black flags don't cause instant retirement 
        (default: false)

ignore_cut_corners
	Corner cutting doesn't cause a penalty 
        (default: false)

serious_cut_corners
	Corner cutting always causes a penalty (otherwise 
        it's more tolerant)

allow_clones
	Allow clones of riders (lets Doohan race even if 
        you have his bike and leathers)

-----------------------------------------------------------------------


[GameSettings]

replay_buffer
	Set the default replay buffer (in KB) - 4000 gives 1 bike 
        around 45 minutes, so you need around 100MB for a full 
        race 24-bike replay!

ui_60fps
	Run the UI at 60fps as opposed to 30fps (default: true)

camera4_tilt
	Set the camera 4 onbike tilt (0-100)

ForceFeedback
	Enable/disable force feedback (True/False)

ForceFeedbackStrength
	Set overall strength (0.0 to 1.0)

ForceThrottle
	Force joystick Z axis to be detected as a throttle 
        (True/False)

ForceZAxis
	Force joystick Z axis to be detected as a Z axis 
        (True/False)

ForceVolume
	Forces sound wave volume to maximum (True/False)

ForceA3D2
	Forces use of Aureal3D 2.0 instead of Aureal3D 1.x 
        (True/False)

-----------------------------------------------------------------------

[Network]
DefaultLobbyStateReady
	User's default state (Ready/Notready) when entering 
        the UI Multiplayer Lobby

Netrate=X
	Where X is the number of frames per second to send 
        bike packets

PredictPastThreshold
	Maximum number of frames to predict into the past 
        (Default value: 10 )

PredictFutureThreshold
	Maximum number of frames to predict into the future 
        (Default value: 3000 )

EnableModems
	Allow Modem-to-Modem multiplayer games. This is disabled
	by default because of the difficulty with supporting
	all modem types throughout the world. Enabling this
	option does not guarantee that modem games will connect.
	(Default value: false)

[Network Server]
        SERVER ONLY - Set the maximum total OUTGOING bandwidth 
        to EACH client. Outgoing bandwidth on server could 
        equal this value multiplied by total number of clients. 
        Bytes per second (Default value: Modem: 2280  LAN: 50000)

MaxBytesPerSecondPerClient=2280

[Network Client]
MaxBytesPerSecondIncoming=3000
	Client Only - Set the maximum total INCOMING bandwidth from 
        the server

ClientSyncLimit = 10
	Client Only - The number of frames to allow the client to drift 
        from the server before recovering

ClientReSyncLimit = 5
	Client Only - A number of frames smaller than ClientSyncLimit 
        that determines when clients are in sync again 


-----------------------------------------------------------------------


General Troubleshooting
=========================


Specific 3-D Hardware Troubleshooting
======================================
Specific problems are listed below by the particular 3-D chipset. 
Always make sure you have downloaded the latest drivers for 
your 3-D hardware before referring to the specific problems 
listed below.


3dfx Voodoo3
=============
* Parts of the bike/track showing through (drawing in the wrong order)
  or transparent tank in onbike view. This only happens while running 
  with the Direct3D device.

	Firstly, try running using the Glide3 device on Voodoo/3Dfx 
        hardware.

	If you need or want to run using the Direct3D device, then...

	Try entering the following lines in the [Patch_3D] section of 
        the GP500.INI file:
          ENABLE_W_BUFFER = FALSE
	  ENABLE_3DFX_W_BUFFER_OVERRIDE = FALSE


Ark Logic Tiger/Cheetah
=======================
* Bike/Rider shadows have a square non-transparent outline.

	Try entering the following line in the [Patch_3D] section of 
        the GP500.INI file:
	  MULTIPLY = FALSE


Blaster 3D
===========
* Bike smoke/dust effects appear as large rectangular blocks.

	Try entering the following line in the [Patch_3D] section of 
        the GP500.INI file:
	  ALPHA_BLENDING = TRUE


Matrox Mystique/Matrox Millennium II
=====================================
* Bikes are black (environment mapping is non-transparent).

	This happens with older drivers - update to the latest 
        drivers (>= 4.11.01.4330).

* Bikes/helmets have a dirty sheen (dot print).

	Transparency effects (like environment mapping) are handled 
        with stippling on this card. If this effect annoys you, then 
        turn environment mapping off in the Options/Graphics screen.


Permedia 2
===========
* Transparent textures are not drawn properly.

	Enter the following line in the [Patch_3D] section of 
        the GP500.INI file:
	  Permedia2 = TRUE

	This will patch device code for the Permedia2 texture blending 
        capabilities.
	

RivaTNT
========
* After switching back to the application (via ALT-TAB), the screen 
  is flickering.

	Go to the Options screen and change resolutions. If you want 
        the same resolution, then change back again.


S3 Savage3D 
============
* Textures are corrupted.

	Try entering the following line in the [Patch_3D] section of 
        the GP500.INI file:
	  TEXTURE_COMPRESSION = FALSE

* Trees have a bright blue outline.

	Try entering the following lines in the [Patch_3D] section of 
        the GP500.INI file:
	  FORCE_MIPMAPS_OFF = TRUE
	  TEXTURE_COMPRESSION = FALSE


S3 Savage4
===========
* Trees have a bright blue outline.

	Try entering the following lines in the [Patch_3D] section of 
        the GP500.INI file:
	  FORCE_MIPMAPS_OFF = TRUE
	  TEXTURE_COMPRESSION = FALSE
	
* Choose Team Screen is corrupted.

	Try entering the following lines in the [Patch_3D] section of 
        the GP500.INI file:
	  SAVAGE4 = TRUE

* LCD onbike gear/speed display is corrupted (black boxes over digits).

	Try entering the following lines in the [Patch_3D] section of 
        the GP500.INI file:
	  SAVAGE4 = TRUE


Turtle Beach Montego A3DStream
==============================
* Crashes or audio channels start playing static.

	Until Direct Sound voice manager property sets are supported by 
        drivers or another solution is available.

	Running with 2D - Hardware and 3-D software fixes this problem.
	Use provided program SndTest to find out how many 2D hardware
        channels are supported.	Use this value to change the sound 
        option channels.
